Subject: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Dec 2016 22:43:37 +0200

> Date: Mon, 19 Dec 2016 21:20:49 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> IIUC all this ‘dynamic-setting-handle-config-changed-event’ mechanism is
> about detecting changes applied to GConf and/or GSettings on the fly and
> applying them to the running Emacs session.  Such configuration settings
> should never override anything specified by the user in her .emacs.  The
> mechanism was virtually inoperative for four years until Paul changed an
> innocuous parameter descriptor.  So this mechanism has never been tested
> in all those years ...

Can you describe how that mechanism is triggered by the offending
change?